iv_fatal(3)

NAME
iv_fatal, iv_set_fatal_msg_handler - ivykis fatal error condition handling

SYNOPSIS
#include <iv.h>

void iv_fatal(const char *fmt, ...);
void iv_set_fatal_msg_handler(void (*handler)(const char *msg));

DESCRIPTION
iv_fatal aborts the running program, after possibly emitting an error message. The fmt parameter is a printf(3)-style format string, the message to be logged.

If no handler is set (the default), the formatted message will be sent to syslog, with critical severity. Otherwise the handler as set by iv_set_fatal_msg_handler will be used instead.

iv_fatal is also used internally by ivykis, whenever a fatal situation is detected.

iv_set_fatal_msg_handler can be used to set an alternative (as opposed to syslog) function to call from iv_fatal, and its argument should be a function that does not return, and takes a single string as argument - the formatted error message.

SEE ALSO
ivykis(3), iv_examples(3)